Bulk remove repositories from indexing
curl --request DELETE \
--url https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/indexing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repository_paths": [
"<string>"
]
}
'import requests
url = "https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/indexing"
payload = { "repository_paths": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({repository_paths: ['<string>']})
};
fetch('https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/indexing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"branches": [
"<string>"
],
"indexing_enabled": true,
"repository_path": "<string>",
"indexing_status": {
"indexing_enabled": true,
"latest_completed_search_index_job": {
"branch_name": "<string>",
"commit": "<string>",
"created_at": 123,
"job_id": "<string>"
},
"latest_completed_wiki_index_job": {
"branch_name": "<string>",
"commit": "<string>",
"created_at": 123,
"job_id": "<string>"
},
"latest_indexes": [
{
"branch_name": "<string>",
"commit": "<string>",
"created_at": 123,
"job_id": "<string>"
}
]
}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Repositories (Organization)
Bulk remove repositories from indexing
Disables indexing and clears configured branches for a batch of repositories.
DELETE
/
v3beta1
/
organizations
/
{org_id}
/
repositories
/
indexing
Bulk remove repositories from indexing
Permissions
Requires a service user with theIndexOrgRepositories permission at the organization level.
Behavior
Disables indexing and clears all configured branches for the specified repositories. Returns 404 if any of the specified repositories are not found.Authorizations
Service User credential (prefix: cog_)
Path Parameters
Organization ID (prefix: org-)
Example:
"org-abc123def456"
Body
application/json
Required array length:
1 - 100 elements⌘I

